%define upstream_name    ExtUtils-Depends
%define upstream_version 0.304

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl module for further extending extensions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch: noarch


%description
This module tries to make it easy to build Perl extensions that use
functions and typemaps provided by other perl extensions. This means
that a perl extension is treated like a shared library that provides
also a C and an XS interface besides the perl one.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -fr
%{__perl} Makefile.PL INSTALLDIRS=vendor

%build
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc Changes
%{_mandir}/*/*
%{perl_vendorlib}/*


%changelog
* Mon Feb 21 2011 jquelin <jquelin> 0.304.0-2.mga1
+ Revision: 55490
- rebuild

* Mon Jan 31 2011 dmorgan <dmorgan> 0.304.0-1.mga1
+ Revision: 45250
- New version
- New version

* Tue Jan 18 2011 jquelin <jquelin> 0.303.0-1.mga1
+ Revision: 22074
- cleaning spec file
- imported package perl-ExtUtils-Depends

